Initial commit

This commit is contained in:
ariane
2021-03-18 15:42:28 +00:00
committed by root
commit e53cb04f1a
973 changed files with 23055 additions and 0 deletions

View File

@@ -0,0 +1,15 @@
#!/bin/sh
set -e
if etckeeper unclean; then
if [ "$AVOID_COMMIT_BEFORE_INSTALL" = 1 ]; then
echo "" >&2
echo "** etckeeper detected uncommitted changes in /etc prior to $HIGHLEVEL_PACKAGE_MANAGER run" >&2
echo "** Aborting $HIGHLEVEL_PACKAGE_MANAGER run. Manually commit and restart." >&2
echo "" >&2
exit 1
fi
if ! etckeeper commit "saving uncommitted changes in /etc prior to $HIGHLEVEL_PACKAGE_MANAGER run"; then
echo "warning: etckeeper failed to commit changes in /etc using $VCS" >&2
fi
fi